/// 寻找u64中的第一个0所在的位（从第0位开始寻找）
///
/// 注意：如果x中没有0，那么结果将是未定义的。请确保传入的x至少存在1个0
///
/// # 参数
/// * `x` - 目标u64
///
/// # 返回值
/// 第一个(最低有效位)0位的位号(0..63)
#[inline]
#[allow(dead_code)]
pub fn ffz(x: u64) -> i32 {
    (!x).trailing_zeros() as i32
}
